Bug 41972 - DHCP fails on laptop with PCMCIA network card
DHCP fails on laptop with PCMCIA network card
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-23 10:00 EDT by Dimitri Papadopoulos
Modified: 2014-03-16 22:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-23 12:14:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (7.42 KB, text/plain)
2001-05-23 10:01 EDT, Dimitri Papadopoulos
no flags Details

  None (edit)
Description Dimitri Papadopoulos 2001-05-23 10:00:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; SunOS 5.8 sun4u)

Description of problem:
We install Red Hat 7.1 on a laptop with a PCMCIA network card. The laptop
is supposed to be using DHCP.

I notice that /etc/rc.d/init.d/network is started before
/etc/rc.d/init.d/pcmcia:
	$ ls /etc/rc?.d/S*pcmcia  /etc/rc?.d/S*network
	/etc/rc2.d/S10network
	/etc/rc2.d/S20pcmcia
	/etc/rc3.d/S10network
	/etc/rc3.d/S20pcmcia
	/etc/rc4.d/S10network
	/etc/rc4.d/S20pcmcia
	/etc/rc5.d/S10network
	/etc/rc5.d/S20pcmcia
I understand that the /etc/rc.d/init.d/network is PCMCIA aware so this
should not be an issue in theory. In practice I get error messages while
/etc/rc.d/init.d/network is run, all about problems with the 3c59x module.
Interface eth0 is not brought up.

I understand DHCP queries are emitted immediatly from the
/etc/rc.d/init.d/network script instead of being deferred until
PCMCIA is running in /etc/rc.d/init.d/pcmcia.

Maybe I am wrong and the problem is elsewhere. Actually kudzu complains
about the 3Com PCMCIA network card having been removed before all this
happens.


How reproducible:
Always

Steps to Reproduce:
1. Install on a laptop with PCMCIA network card, specify a DHCP server for
   network parameters.
2. Reboot after installation.
3. Kudzu will complain that the 3Com network card has been removed.
   I choose "Do nothing" and carry on.
4. You'll see warnings about the module 3c59x not being loaded or having
   wrong parameters (I don't remember exactly sorry).
5. The eth0 interface is not brought up.


Actual Results:  eth0 is not brought up.


Expected Results:  eth0 shoud be brought up :-)


Additional info: I'm sending the output of dmesg, so that you have an idea
of our hardware. Maybe it's relevant?
Comment 1 Dimitri Papadopoulos 2001-05-23 10:01:30 EDT
Created attachment 19390 [details]
dmesg output
Comment 2 Bill Nottingham 2001-05-23 10:18:34 EDT
If you choose to 'remove' the device, the warnings should go away.

In any case, it should get brought up fine on insertion.
Comment 3 Dimitri Papadopoulos 2001-05-23 12:13:56 EDT
> If you choose to 'remove' the device, the warnings should go away.

This works, thanks!

> In any case, it should get brought up fine on insertion.

eth0 is brought up but the network won't work. Maybe we have a DHCP problem on
our side. See below.


Some more details for your information:

1. This is a Dell Latitude CPx laptop with a Dell/3Com 3CCFE575CT-D1 PCMCIA
network card attached.

2. We boot from the Red Hat 7.1 CDs.

3. In the "Network Configuration" page we keep "Configure using DHCP" and
"Activate on boot" checked. This is the default.

4. Installation completes smoothly. The CD is ejected and the system reboots.

5. Upon reboot kudzu detects hardware changes and displays the following error
message:
The following network card has been removed from your system:
3Com Corporation|3CCFE575CT Tornado CardBus
I "remove" the device as suggested.

6. Later during boot network is started:
Bringing up interface eth0:  Delaying eth0 initialization.
                                                                      [FAILED]

I understand this is normal: network is brought up later by pcmcia handlers.
That' s OK. But maybe this "[FAILED]" message should be rewritten. I believe it
is disturbing for novice users like me.

7. Otherwise the system boots smoothly. Now whenever I reboot I get the above
message:
Bringing up interface eth0:  Delaying eth0 initialization.

Looking in /var/log/messages:
May 23 17:49:53 localhost network: Setting network parameters:  succeeded
May 23 17:49:53 localhost network: Bringing up interface lo:  succeeded
May 23 17:49:54 localhost ifup: Delaying eth0 initialization.
May 23 17:49:54 localhost network: Bringing up interface eth0:  failed
...
May 23 17:52:00 localhost dhpcd[870]: timed out waiting for a valid DHCP server
response

Oooops! Could it be a problem with our DHCP server? I'll have to check with our
sysadmin.

8. Once the system has booted eth0 is brought up but it doesn't work. Note how
the IP address is not set. Probably the forementionned DHCP problem:
# ping 193.48.23.36
connect: Network is unreachable
# ifconfig eth0
eth0	Link encap:Ethernet  HWaddr 00:01:03:A8:6C:AD
	BROADCAST  MTU:1500  Metric:1
	RX packets:283 errors:0 dropped:0 overruns:0 frame:0
	TX packets:16 errors:0 dropped:0 overruns:0 carrier:0
	collisions: 0
# 
Sorry, I don't know much about Unix networking, I hope this is helpful.

9. I follow your suggestion and eject/reinsert the network PCMCIA card. This
doesn't change anything. The interface is brought down and up but the network
still cannot be reached:
# ping 193.48.23.36
connect: Network is unreachable
# ifconfig eth0
eth0	Link encap:Ethernet  HWaddr 00:01:03:A8:6C:AD
	UP BROADCAST NOTRAILERS RUNNING  MTU:1500  Metric:1
	RX packets:201 errors:0 dropped:0 overruns:0 frame:0
	TX packets:15 errors:0 dropped:0 overruns:0 carrier:1
	collisions: 0
# 

Again more DHCP problems in /var/log/messages:
...
May 23 18:04:54 localhost dhpcd[998]: timed out waiting for a valid DHCP server
response

So a DHCP request _is_ emitted both at boot time and upon insertion. But
something goes wrong.

10. All in all there is some problem with kudzu at startup, but the rest seems
to be some sort of DHCP problem that could be on our side. On the other hand we
have other desktop PC's that rely on the same DHCP server and we are able to
boot them. I'll let you know if there's something new here.
Comment 4 Bill Nottingham 2001-08-07 01:24:33 EDT
The kudzu messages will be fixed in 0.99.12-1.

Note You need to log in before you can comment on or make changes to this bug.